﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WCFClient
{
    class Program
    {
        static void Main(string[] args)
        {
            Stopwatch sw = new Stopwatch();

            int count = 10000;

            Console.WriteLine(count + " 次实体传输调用测试中...");

            var ui = new ServiceReference1.UserInfo() { ID = 1, Name = "yswenli", Birthday = DateTime.Now };

            sw.Start();

            for (int i = 0; i < count; i++)
            {
                new ServiceReference1.Interface1Client().Accept(ui);
            }
            Console.WriteLine("实体传输：" + (count * 1000 / sw.ElapsedMilliseconds) + " 次/秒");

            sw.Stop();

            Console.ReadLine();

        }
    }
}
